%define upstream_name    SOAP-Lite
%define upstream_version 1.19

%global __requires_exclude perl\\((MQSeries.*|MQClient.*)\\)
%global __provides_exclude perl\\((LWP::Protocol|My::.*)\\)


%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Client and server side SOAP implementation
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/SOAP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Inspector)
BuildRequires: perl(Compress::Zlib)
BuildRequires: perl(Crypt::SSLeay)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::SessionData) >= 1.30.0
BuildRequires: perl(IO::Socket::SSL)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Task::Weaken)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Warn)
BuildRequires: perl(URI)
BuildRequires: perl(XML::Parser)
BuildRequires: perl(XML::Parser::Lite)
BuildRequires: perl(constant)
BuildArch:  noarch

%description
SOAP::Lite for Perl is a collection of Perl modules which provides a simple and
lightweight interface to the Simple Object Access Protocol (SOAP) both on
client and server side.

To learn about SOAP, go to http://www.soaplite.com/#LINKS for more
information.

This version of SOAP::Lite supports a subset of the SOAP 1.1
specification and has initial support for SOAP 1.2 specification.  See
http://www.w3.org/TR/SOAP for details.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

find examples -type f | xargs perl -pi \
    -e 's|^#!perl -w|#!%__perl -w|;' \
    -e 's|^#!d:\\perl\\bin\\perl.exe ||;'
find examples -type f -name *.bat | xargs rm -f 

%build
%__perl Makefile.PL INSTALLDIRS=vendor --noprompt
%make

%check
%make test

%install
%make_install

%files
%doc Changes HACKING META.json META.yml MYMETA.yml README examples
%{_mandir}/*/*
%{_bindir}/*.pl
%{perl_vendorlib}/Apache
%{perl_vendorlib}/SOAP


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.190.0-3.mga6
+ Revision: 1033136
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.190.0-2.mga6
+ Revision: 969645
- Mageia 6 Mass Rebuild

* Sun Sep 06 2015 sander85 <sander85> 1.190.0-1.mga6
+ Revision: 873620
- update to 1.19

* Sat Aug 01 2015 sander85 <sander85> 1.170.0-1.mga6
+ Revision: 860351
- update to 1.17

* Tue Jun 30 2015 sander85 <sander85> 1.140.0-1.mga6
+ Revision: 849028
- update to 1.14

* Wed Oct 15 2014 umeabot <umeabot> 1.110.0-4.mga5
+ Revision: 750372
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.110.0-3.mga5
+ Revision: 733378
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.110.0-2.mga5
+ Revision: 686132
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Mon Feb 24 2014 jquelin <jquelin> 1.110.0-1.mga5
+ Revision: 596233
- update to 1.11

* Mon Feb 10 2014 jquelin <jquelin> 1.100.0-1.mga5
+ Revision: 588227
- update to 1.10

* Sat Oct 19 2013 umeabot <umeabot> 1.60.0-2.mga4
+ Revision: 532723
- Mageia 4 Mass Rebuild

* Thu Aug 22 2013 sander85 <sander85> 1.60.0-1.mga4
+ Revision: 469531
- update to 1.06

* Mon Aug 19 2013 sander85 <sander85> 1.50.0-1.mga4
+ Revision: 467924
- update to 1.05

* Sun Jan 13 2013 umeabot <umeabot> 0.715.0-2.mga3
+ Revision: 372413
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 17 2012 jquelin <jquelin> 0.715.0-1.mga3
+ Revision: 295170
- update to 0.715

* Mon Nov 07 2011 colin <colin> 0.714.0-2.mga2
+ Revision: 164867
- Fix Transport-FTP version (partial upstream fix, partial manual META.yml fix)

* Wed Oct 26 2011 takashi <takashi> 0.714.0-1.mga2
+ Revision: 158214
- update to 0.714

* Sun Jan 23 2011 jquelin <jquelin> 0.712.0-1.mga1
+ Revision: 34212
- mageia rebuild
- imported package perl-SOAP-Lite


* Wed Jul 14 2010 Jérôme Quelin <jquelin@mandriva.org> 0.712.0-1mdv2011.0
+ Revision: 553046
- adding missing buildrequires:
- update to 0.712

* Mon Mar 22 2010 Jérôme Quelin <jquelin@mandriva.org> 0.711.0-1mdv2010.1
+ Revision: 526455
- update to 0.711

* Thu Oct 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.710.10-1mdv2010.0
+ Revision: 452000
- update to 0.710.10

* Wed Sep 30 2009 Jérôme Quelin <jquelin@mandriva.org> 0.710.9-1mdv2010.0
+ Revision: 451156
- update to 0.710.09

* Sun Sep 20 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.710.08-4mdv2010.0
+ Revision: 445869
- fix automatic dependencies (fix #3827)

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.710.08-3mdv2010.0
+ Revision: 426588
- rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0.710.08-2mdv2009.1
+ Revision: 351742
- rebuild

* Mon Jul 14 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.710.08-1mdv2009.0
+ Revision: 235605
- update to new version 0.710.08

* Mon Jun 16 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.710.07-1mdv2009.0
+ Revision: 220162
- update to new version 0.710.07

* Sat Jun 07 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.710.06-1mdv2009.0
+ Revision: 216587
- update to new version 0.710.06

* Tue May 06 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.710.05-1mdv2009.0
+ Revision: 202030
- update to new version 0.710.05

* Wed Apr 23 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.71.04-1mdv2009.0
+ Revision: 196828
- update to new version 0.71.04

* Thu Apr 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.71.02-1mdv2009.0
+ Revision: 195129
- new version
  drop undocumented patch not applying anymore

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Aug 20 2007 Thierry Vignaud <tv@mandriva.org> 0.69-3mdv2008.0
+ Revision: 67575
- rebuild


* Mon Jan 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.69-2mdv2007.0
+ Revision: 103017
- fix incompatibility with UNIVERSAL::require, using rt patch http://rt.cpan.org/Public/Bug/Display.html?id=16897
- Import perl-SOAP-Lite

* Tue Aug 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.69-1mdv2007.0
- new version

* Mon Jul 24 2006 Emmanuel Andry <eandry@mandriva.org> 0.68-1mdv2007.0
- 0.68

* Tue Feb 07 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.67-1mdk
- 0.67

* Tue Dec 27 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.66-1mdk
- new version
- rpmbuildupdate aware
- spec cleanup
- better summary

* Tue Jun 07 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.60-0.a.3mdk
- Rebuild

* Tue Apr 20 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.60-0.a.2mdk
- another buildrequires

* Tue Apr 20 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.60-0.a.1mdk
- 0.60a
- buildrequires

